- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::Portable_Server::RequestProcessingStrategyServantActivator Class Reference

`#include <RequestProcessingStrategyServantActivator.h>`

Inheritance diagram for TAO::Portable_Server::RequestProcessingStrategyServantActivator:

[legend]
Collaboration diagram for TAO::Portable_Server::RequestProcessingStrategyServantActivator:

[legend]
List of all members.

## Public Member Functions
| RequestProcessingStrategyServantActivator (void)
virtual void | strategy_cleanup ()
PortableServer::ServantManager_ptr | get_servant_manager () throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
void | set_servant_manager (PortableServer::ServantManager_ptr imgr) throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)
virtual TAO_SERVANT_LOCATION | locate_servant (const PortableServer::ObjectId &system_id, PortableServer::Servant &servant)
virtual PortableServer::Servant | locate_servant (const char *operation, const PortableServer::ObjectId &system_id, TAO::Portable_Server::Servant_Upcall &servant_upcall, TAO::Portable_Server::POA_Current_Impl &poa_current_impl, int &wait_occurred_restart_call)
virtual void | cleanup_servant (PortableServer::Servant servant, const PortableServer::ObjectId &user_id)
virtual void | etherealize_objects (CORBA::Boolean etherealize_objects)
virtual void | post_invoke_servant_cleanup (const PortableServer::ObjectId &system_id, const TAO::Portable_Server::Servant_Upcall &servant_upcall)
## Private Member Functions
PortableServer::Servant | incarnate_servant (const PortableServer::ObjectId &object_id)
void | etherealize_servant (const PortableServer::ObjectId &object_id, PortableServer::Servant servant, CORBA::Boolean cleanup_in_progress)
## Private Attributes
PortableServer::ServantActivator_var | servant_activator_
CORBA::Boolean | etherealize_objects_

## Constructor & Destructor Documentation

TAO::Portable_Server::RequestProcessingStrategyServantActivator::RequestProcessingStrategyServantActivator | ( | void |  | ) |

## Member Function Documentation

void TAO::Portable_Server::RequestProcessingStrategyServantActivator::cleanup_servant | ( | PortableServer::Servant | servant,
|  | const PortableServer::ObjectId & | user_id |
| ) |  |  | `[virtual]`

Implements TAO::Portable_Server::RequestProcessingStrategy.

void TAO::Portable_Server::RequestProcessingStrategyServantActivator::etherealize_objects | ( | CORBA::Boolean | etherealize_objects | ) | `[virtual]`

Implements TAO::Portable_Server::RequestProcessingStrategy.

void TAO::Portable_Server::RequestProcessingStrategyServantActivator::etherealize_servant | ( | const PortableServer::ObjectId & | object_id,
|  | PortableServer::Servant | servant,
|  | CORBA::Boolean | cleanup_in_progress |
| ) |  |  | `[private]`

PortableServer::ServantManager_ptr TAO::Portable_Server::RequestProcessingStrategyServantActivator::get_servant_manager | ( |  | ) | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)`[virtual]`

Implements TAO::Portable_Server::RequestProcessingStrategy.

PortableServer::Servant TAO::Portable_Server::RequestProcessingStrategyServantActivator::incarnate_servant | ( | const PortableServer::ObjectId & | object_id | ) | `[private]`

PortableServer::Servant TAO::Portable_Server::RequestProcessingStrategyServantActivator::locate_servant | ( | const char * | operation,
|  | const PortableServer::ObjectId & | system_id,
|  | TAO::Portable_Server::Servant_Upcall & | servant_upcall,
|  | TAO::Portable_Server::POA_Current_Impl & | poa_current_impl,
|  | int & | wait_occurred_restart_call |
| ) |  |  | `[virtual]`

Implements TAO::Portable_Server::RequestProcessingStrategy.

TAO_SERVANT_LOCATION TAO::Portable_Server::RequestProcessingStrategyServantActivator::locate_servant | ( | const PortableServer::ObjectId & | system_id,
|  | PortableServer::Servant & | servant |
| ) |  |  | `[virtual]`

Implements TAO::Portable_Server::RequestProcessingStrategy.

void TAO::Portable_Server::RequestProcessingStrategyServantActivator::post_invoke_servant_cleanup | ( | const PortableServer::ObjectId & | system_id,
|  | const TAO::Portable_Server::Servant_Upcall & | servant_upcall |
| ) |  |  | `[virtual]`

Implements TAO::Portable_Server::RequestProcessingStrategy.

void TAO::Portable_Server::RequestProcessingStrategyServantActivator::set_servant_manager | ( | PortableServer::ServantManager_ptr | imgr | ) | throw (CORBA::SystemException, PortableServer::POA::WrongPolicy)`[virtual]`

Implements TAO::Portable_Server::RequestProcessingStrategy.

void TAO::Portable_Server::RequestProcessingStrategyServantActivator::strategy_cleanup | ( |  | ) | `[virtual]`

Reimplemented from TAO::Portable_Server::RequestProcessingStrategy.

## Member Data Documentation

CORBA::Boolean TAO::Portable_Server::RequestProcessingStrategyServantActivator::etherealize_objects_`[private]`

PortableServer::ServantActivator_var TAO::Portable_Server::RequestProcessingStrategyServantActivator::servant_activator_`[private]`

The documentation for this class was generated from the following files:

- RequestProcessingStrategyServantActivator.h
- RequestProcessingStrategyServantActivator.cpp